<?php 
/*
if (isset($_POST['_md5_hash'])) {
  $msg = '';
  foreach($_POST AS $key => $value) {
    $msg .= $key . ' => ' . $value . "\n";
  }
  file_put_contents(H.'sys/files/sdpays-' . time() . '.txt', $msg);
  
  exit("<SDSUCCESS>".stripslashes('Code: ' . mt_rand(111111, 999999))."</SDSUCCESS>");
}

if (isset($ID) && isset($_GET['identifier']) && $_GET['identifier'] == 'sdpays') {
  $sdpays = mysql_fetch_assoc(mysql_query("SELECT * FROM `payment` WHERE `id` = '" . $ID . "' LIMIT 1"));
  
  if ($sdpays['request'] == 0 || $sdpays['time'] > $time + (60 * 20)) {
      mysql_query("UPDATE `payment` SET `request` = '" . mt_rand(1111, 9999) . "', `time` = '$time' WHERE `id` = '$sdpays[id]' LIMIT 1");
  }
}
*/